try {
  var keytar = require('keytar');
} catch (e){
  var fs = require('fs');
  var homedir = require('os').homedir();
  var path = require('path');

  var keytar = {
    getPassword : (app, id ) => {
      var dir = path.join(homedir, `.${app}`, id);
      return fs.readFileSync(dir).toString();
    },
    addPassword : (app, id, pass) => {
      var dir = path.join(homedir, `.${app}`, id);
      fs.writeFileSync(dir, pass);
      return fs.chmodSync(dir, '400');
    }
  }
}

module.exports = keytar;
